Bug 250833 - math/eigen3: upgrade to 3.3.8 + add dependencies
Summary: math/eigen3: upgrade to 3.3.8 + add dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL: http://eigen.tuxfamily.org/index.php?...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-03 16:41 UTC by Thierry Thomas
Modified: 2020-12-12 17:06 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
Patch to upgrade eigen3 (1.87 KB, patch)
2020-11-03 16:41 UTC, Thierry Thomas
no flags Details | Diff
Upgrade to 3.3.8 with latest patches (4.65 KB, patch)
2020-12-04 18:59 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-11-03 16:41:40 UTC
Created attachment 219325 [details]
Patch to upgrade eigen3

The attached patch upgrades math/eigen3 to 3.3.8.

Changelog is available at
http://eigen.tuxfamily.org/index.php?title=ChangeLog#Eigen_3.3.8

Since I'm there, I added some dependencies: cmake is launched during the configure step, and if built as a port, the macros Find_Package locate some dependencies which are not registered.

Note: I suggest an OPTION, so that it could be disabled.
Comment 1 Tobias C. Berner freebsd_committer 2020-11-07 15:35:44 UTC
Moin moin 

Cool, thank you for the patch.


mfg Tobias
Comment 2 Tobias C. Berner freebsd_committer 2020-11-07 22:29:07 UTC
From a quick test-build there seems to be some fallout -- I would like therefore to ask for an exp-run.


mfg Tobias
Comment 3 Antoine Brodin freebsd_committer 2020-11-13 08:46:53 UTC
New failure logs on 12.1 amd64:

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/gcta-1.26.0_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/iqtree-2.0.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/digikam-7.1.0_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/Open3D-0.2_6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/pcl-pointclouds-1.11.1_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/ceres-solver-2.0.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/libmesh-1.6.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/xlife++-2.0.1_5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/ngraph-machine-learning-library-0.29.0.r.0.345_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/openmvg-1.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/chrono-physics-simulation-engine-5.0.1_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-12_06h50m49s/logs/errors/lammps-2020.10.29.log
Comment 4 Tobias C. Berner freebsd_committer 2020-11-21 07:48:10 UTC
Moin moin

thierry, did you already have some time to look at the fallout?

mfg Tobias
Comment 5 Thierry Thomas freebsd_committer 2020-11-21 15:37:30 UTC
Hello,

I didn't encounter this kind of errors in my ports, but this issue has been reported upstream:

https://gitlab.com/libeigen/eigen/-/issues/2011

and a fix has been committed:

https://gitlab.com/libeigen/eigen/-/commit/ef3cc72cb65e2d500459c178c63e349bacfa834f

Do you prefer back-port this fix, or just wait for the next release?
Comment 6 Tobias C. Berner freebsd_committer 2020-11-21 15:53:05 UTC
(In reply to Thierry Thomas from comment #5)
Moin moin 

I suggest we try the backport route.


mfg Tobias
Comment 7 Thierry Thomas freebsd_committer 2020-11-22 17:31:34 UTC
Well, the proposed patch is not good: see
https://gitlab.com/libeigen/eigen/-/issues/2011#note_452285499
Comment 8 Thierry Thomas freebsd_committer 2020-12-04 18:59:13 UTC
Created attachment 220255 [details]
Upgrade to 3.3.8 with latest patches

With the attached patch, everything should go better.
Comment 9 Antoine Brodin freebsd_committer 2020-12-12 11:36:52 UTC
Exp-run looks fine
Comment 10 Tobias C. Berner freebsd_committer 2020-12-12 12:07:33 UTC
@thierry, feel free to commit :)
Comment 11 commit-hook freebsd_committer 2020-12-12 17:05:01 UTC
A commit references this bug:

Author: thierry
Date: Sat Dec 12 17:04:53 UTC 2020
New revision: 557839
URL: https://svnweb.freebsd.org/changeset/ports/557839

Log:
  - Upgrade math/eigen3 to 3.3.8;

  - Add some dependencies which might be detected by Find_Package but not registered;

  - Bump PORTREVISION of consumers.

  PR:		250833
  Submitted by:	/me
  Approved by:	tcberner@ (KDE / maintainer) + exp-run

Changes:
  head/astro/kstars/Makefile
  head/audio/csound/Makefile
  head/audio/guitarix-lv2/Makefile
  head/biology/cufflinks/Makefile
  head/biology/gcta/Makefile
  head/biology/gemma/Makefile
  head/biology/iqtree/Makefile
  head/cad/PrusaSlicer/Makefile
  head/cad/freecad/Makefile
  head/cad/ifcopenshell/Makefile
  head/cad/openroad/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/devel/nextpnr/Makefile
  head/editors/calligra/Makefile
  head/games/leela-zero/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam/Makefile
  head/graphics/instant-meshes/Makefile
  head/graphics/krita/Makefile
  head/graphics/mirtk/Makefile
  head/graphics/movit/Makefile
  head/graphics/open3d/Makefile
  head/graphics/opencv/Makefile
  head/graphics/opencv-core/Makefile
  head/graphics/opencv-java/Makefile
  head/graphics/opengv/Makefile
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/py-open3d-python/Makefile
  head/graphics/py-opencv/Makefile
  head/graphics/vpaint/Makefile
  head/graphics/vv/Makefile
  head/math/analitza/Makefile
  head/math/ceres-solver/Makefile
  head/math/cgal/Makefile
  head/math/eigen3/Makefile
  head/math/eigen3/distinfo
  head/math/eigen3/files/
  head/math/eigen3/files/patch-Eigen_src_Core_products_Parallelizer.h
  head/math/eigen3/files/patch-test_CMakeLists.txt
  head/math/fcl/Makefile
  head/math/fcl05/Makefile
  head/math/g2o/Makefile
  head/math/ignition-math/Makefile
  head/math/libmesh/Makefile
  head/math/libsemigroups/Makefile
  head/math/moab/Makefile
  head/math/openturns/Makefile
  head/math/py-python-fcl/Makefile
  head/math/scilab/Makefile
  head/math/xlife++/Makefile
  head/misc/dartsim/Makefile
  head/misc/ngraph/Makefile
  head/misc/ompl/Makefile
  head/misc/openmvg/Makefile
  head/misc/visp/Makefile
  head/multimedia/mlt/Makefile
  head/multimedia/mlt-qt5/Makefile
  head/multimedia/py-mlt/Makefile
  head/net-mgmt/metronome/Makefile
  head/science/ALPSCore/Makefile
  head/science/InsightToolkit/Makefile
  head/science/antioch/Makefile
  head/science/avogadrolibs/Makefile
  head/science/chrono/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/gnudatalanguage/distinfo
  head/science/gnudatalanguage/files/patch-CMakeLists.txt
  head/science/gnudatalanguage/files/patch-src__gshhs.cpp
  head/science/gnudatalanguage/files/patch-src_ssrfpack.c
  head/science/gnudatalanguage/pkg-plist
  head/science/lammps/Makefile
  head/science/openbabel/Makefile
  head/science/opensph/Makefile
  head/science/pagmo2/Makefile
  head/science/py-avogadrolibs/Makefile
  head/science/rdkit/Makefile
  head/science/step/Makefile
  head/science/votca/Makefile
  head/x11-toolkits/nanogui/Makefile
Comment 12 Thierry Thomas freebsd_committer 2020-12-12 17:06:27 UTC
Committed, thanks!